@import "../../../assets/scss/global.scss";
.a-date-input {
    position: relative;
    width: 100%;
    
    &.disabled-input {
        .a-date-input__cover {
            background: #E2E5F2;
            border: 1px solid #E2E5F2;
            opacity: 0.6;

            label {
                color: $secondary-color;

                &::before {
                    background: #E2E5F2;
                }
            }
        }
    }

    &.error {
        .a-date-input__cover {
            border: 1px solid #F82626;
        }
    }
    .feedback{
        color: #F82626;
        font-size: 10px;
        line-height: 16px;
        margin-left: 15px;
    }
    &__cover {
        position: relative;
        top: 0;
        left: 0;
        height: 50px;
        width: 100%;

        background: #fff;
        border: 0.1rem solid #d5dee8;
        border-radius: 0.8rem;

        transition: border 0.2s;

        &[data-disabled="true"] {
            label {
                color: #c5c6c7;
            }
        }

        &[data-active="true"] {
            label {
                top: 30%;
                left: 0;

                color: $secondary-color;
                font-size: 1.2rem;
            }
            [class~='rs-picker'] {
                [class~='rs-picker-toggle'] {
                    input{
                        opacity: 1;
                    }
                }
            }
        }

        &[data-focus="true"] {
            border-color: $secondary-color;

            label {
                top: 30%;
                left: 0;

                color: $secondary-color;
                font-size: 1.2rem;
                transition: top 0.2s ease-in-out;
            }
            [class~='rs-picker']{
                [class~='rs-picker-toggle']{
                    input{
                        opacity: 1;
                    }
                }
            }
        }

        label {
            position: absolute;
            top: 50%;
            left: 0;
            z-index: 1;
            padding-left: 16px;

            color: #374352;
            font-size: 1.4rem;
            font-weight: 500;

            transform: translateY(-50%);
            transition: all 0.2s ease-in-out;
            pointer-events: none;

            &::before {
                position: absolute;
                bottom: 0;
                left: 0;
                z-index: 1;

                width: 100%;
                height: calc(50% + 0.15rem);

                background: #fff;

                content: "";
            }

            span {
                position: relative;
                z-index: 2;
            }
        }

        .__toggle {
            position: absolute;
            top: 50%;
            right: 1.2rem;

            width: 2rem;
            height: 2rem;

            object-fit: contain;
            object-position: center;

            transform: translateY(-50%);
        }
    }

    &__picker {
        position: absolute;
        bottom: 0;
        width: 100%;
        height: 100%;
        z-index: 0;

        [class~="rs-picker-toggle"]{
            height: 100%;
            border-color: transparent !important;
            background-color: unset !important;
            border: none;
            box-shadow: none;
            padding-top: 0 !important;

            input{
                top: unset;
                bottom: 0;
                height: 47px;
                padding-top: 20px;
                padding-left: 16px;
                font-weight: 500;
                font-size: 15px;
                line-height: 22px;
                opacity: 0;
                --rs-input-bg: transparent;
                &::placeholder{
                    font-family: inherit;
                    font-weight: 500;
                    font-size: 15px;
                    line-height: 22px;
                }
            }
            [class~="rs-picker-toggle-placeholder"],[class~="rs-picker-toggle-value"]{
                visibility: hidden;
            }

            [class~="rs-picker-toggle-clean"]{
                top: -1px !important;
                transform: translateY(50%);
            }
            svg {
                top: 4px !important;
                transform: translateY(50%);
            }
        }
    }
}